TON DocsTON Docs
OnboardingNodesApplicationsAPIsContractsSmart contractsTolkTolk languageTVMTON Virtual MachineFoundationsBlockchain foundations

Get jetton burns

GET
/api/v3/jetton/burns

Query jetton burns that match the specified filters.

Authorization

X-API-Key<token>

API key header of the form X-API-Key: <token>, where <token> is the API key. Requests without a key are limited to 1 RPS. Refer to the authentication guide for details.

In: header

Query Parameters

address?array<string>

Address of the jetton wallet owner in any form. Maximum: 1000 addresses.

jetton_wallet?array<string>

Jetton wallet address in any form. Maximum: 1000 addresses.

jetton_master?string

Jetton master address in any form.

start_utime?integer

Query transactions with a generation timestamp at or after the specified timestamp.

end_utime?integer

Query transactions with a generation timestamp at or before the specified timestamp.

start_lt?integer

Query transactions where lt is at or above the specified value.

end_lt?integer

Query transactions where lt is at or below the specified value.

limit?integer

Limit the number of rows to return. Use with offset to batch requests.

offset?integer

Skip the first N rows. Use with limit to batch requests.

sort?string

Sort transactions by lt.

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v3/jetton/burns"
{
  "address_book": {
    "property1": {
      "domain": "string",
      "interfaces": [
        "string"
      ],
      "user_friendly": "string"
    },
    "property2": {
      "domain": "string",
      "interfaces": [
        "string"
      ],
      "user_friendly": "string"
    }
  },
  "jetton_burns": [
    {
      "amount": "string",
      "custom_payload": "string",
      "decoded_custom_payload": {},
      "jetton_master": "string",
      "jetton_wallet": "string",
      "owner": "string",
      "query_id": "string",
      "response_destination": "string",
      "trace_id": "string",
      "transaction_aborted": true,
      "transaction_hash": "string",
      "transaction_lt": "0",
      "transaction_now": 0
    }
  ],
  "metadata": {
    "property1": {
      "is_indexed": true,
      "token_info": [
        {
          "description": "string",
          "extra": {},
          "image": "string",
          "is_nsfw": true,
          "is_scam": true,
          "name": "string",
          "nft_index": "string",
          "symbol": "string",
          "type": "string",
          "valid": true
        }
      ]
    },
    "property2": {
      "is_indexed": true,
      "token_info": [
        {
          "description": "string",
          "extra": {},
          "image": "string",
          "is_nsfw": true,
          "is_scam": true,
          "name": "string",
          "nft_index": "string",
          "symbol": "string",
          "type": "string",
          "valid": true
        }
      ]
    }
  }
}
{
  "code": 0,
  "error": "string"
}